Subject: Re: bug#16945: My previous message

From: Eric Blake <[email-masked]>
Date: Wed, 05 Mar 2014 16:46:26 -0700

forcemerge 16944 16945
thanks

On 03/05/2014 04:23 PM, Leslie Satenstein wrote:
> 		
> I was given a solution which was to set LC_ALL=C
> 
> With that statement, the sort works just fine. 
> 
> I apologize for the false error report.

Not a problem, we don't mind pointing people to the FAQ (we've also
tried to mention the locale nuances in 'sort --help' and in the info
pages - but documentation only works if people read it before asking
questions, so we are quite used to fielding questions like this in spite
of our documentation).

> 
> LC_ALL=C sort -t '|' -k1,1 -o x.sorted x.raw

Glad it works.  You created a new bug instead of replying to the
existing one, so I'm using this mail to merge the two reports into one.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org